Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class Metafile.Header

    java.lang.Object
      org.apache.poi.hslf.blip.Metafile.Header

Enclosing class:
  Metafile

    public static class Metafile.Header

extends java.lang.Object

A structure which represents a 34-byte header preceeding the compressed metafile data

Author:
  Yegor Kozlov

Field Summary
`java.awt.Rectangle` | `bounds` Boundary of the metafile drawing commands
`int` | `compression` Reserved.
`int` | `filter` Reserved.
`java.awt.Dimension` | `size` Size of the metafile in EMUs
`int` | `wmfsize` size of the original file
`int` | `zipsize` size of the compressed metafile data

Constructor Summary
`Metafile.Header()`

Method Summary
`int` | `getSize()`
`void` | `read(byte[] data, int offset)`
`void` | `write(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wmfsize

    public int wmfsize

  size of the original file

### bounds

    public java.awt.Rectangle bounds

  Boundary of the metafile drawing commands

### size

    public java.awt.Dimension size

  Size of the metafile in EMUs

### zipsize

    public int zipsize

  size of the compressed metafile data

### compression

    public int compression

  Reserved. Always 0.

### filter

    public int filter

  Reserved. Always 254.

Constructor Detail

### Metafile.Header

    public Metafile.Header()

Method Detail

### read

    public void read(byte[] data,
                     int offset)

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSize

    public int getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD